# DefaultRepositorySelector Class Reference

Inherits RepositorySelector, and ObjectImpl.

List of all members.

## Public Member Functions

| DefaultRepositorySelector (const LoggerRepositoryPtr &repository1)
void | addRef () const
void | releaseRef () const
virtual LoggerRepositoryPtr & | getLoggerRepository ()

## Constructor & Destructor Documentation

DefaultRepositorySelector | ( | const LoggerRepositoryPtr & | repository1 | ) |

## Member Function Documentation

void addRef | ( |  | ) | const`[virtual]`

| Reimplemented from ObjectImpl.

virtual LoggerRepositoryPtr& getLoggerRepository | ( |  | ) | `[virtual]`

| Implements RepositorySelector.

void releaseRef | ( |  | ) | const`[virtual]`

| Reimplemented from ObjectImpl.

The documentation for this class was generated from the following file:

- defaultrepositoryselector.h